/*3.	Muestra el promt * en el LCD.
-El usuario teclea un nmero de 2 enteros (punto decimal= A) 
y 1 decimal, el cual debe mostrarse en el LCD. 
Al final se debe oprimir la letra F.
Ejemplo: 27A4 significa 27.4 C.  
-Lee la temperatura del sensor DS18B20 y la muestra en la posicin 
(1,0) del LCD.
-Compara la temperatura ingresada por teclado, con la temperatura 
leda del sensor. 
-En la posicin (0,7) del LCD mostrar el smbolo de mayor (>),  
menor (<), durante 2 segundos. Se repite el procedimiento.*/

#include <p18cxxx.h>
#include <delays.h>
#include <stdio.h>		//librera sprintf()
#include <stdlib.h>		//libreras atoi(),atof()
#include "18F2550BOLT.h"
#include "ONEWIRE-BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code

float x,z;
int entero,decimal;
char array[10];
 
void main()
{
	while(1)
	{
	init_bolt();
	InitLCD();
	ClearScreen();
	PutLCD('*');
	z=ds1820_read();
	SetBot();
	bot[2]='.';
	GotoXY(0,1);
	PrintString(bot);
	x=atof(bot);
	GotoXY(1,0);
	entero=z;
	decimal=(z-entero)*10;
	sprintf(array,"%2d.%d",entero,decimal);
	PrintString(array);
	GotoXY(0,7);
		if(x>z)
		{
		PutLCD('>');
		}
		if(x<z)
		{
		PutLCD('<');
		}
	delay_ms(2000);
	} 
}