/*1.Muestra en el LCD el promt > en la posicin (0,0).
Recibe del teclado 1 nmero entero, (-128+127), con ECO. 
La letra A es interpretada como el signo positivo y la 
letra B como signo negativo. El nmero siempre es de 4 
caracteres. No se requiere teclear la F al final del 
valor. En la posicin (1,0) escribe el equivalente binario
del nmero ingresado, en formato complemento a 2. Por 
ejemplo si la entrada es +074, el resultado es 01001010. 
Si el valor es -028, el resultado es 11100100.*/

#include <p18cxxx.h>
#include <delays.h>
#include <stdio.h>		//librera sprintf()
#include <stdlib.h>		//libreras atoi(),atof()
#include "18F2550BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code

int i,j;
char valor[10];
char array[10];

void main()
{
init_bolt();
InitLCD();
ClearScreen();
PutLCD('>');
	for(i=0;i<4;i++)
	{
	valor[i]=GetBot();
		if (valor[i]=='A')valor[i]='+';
		if (valor[i]=='B')valor[i]='-';
	PutLCD(valor[i]);
	}
j=atoi(valor);
GotoXY(1,0);
PORTB=j;
	for(i=0;i<8;i++)
	{
	if(RB7==0)PutLCD('0');
	if(RB7==1)PutLCD('1');
	PORTB=j<<1;
	j=PORTB;
	delay_ms(200);
	}
while(1);
} 



